IF NOT EXISTS ( SELECT *  FROM   sysobjects WHERE id = object_id(N'[dbo].[CF_SCA_DatosAdicionales]') AND [type] = 'FN')
BEGIN

EXECUTE dbo.sp_executesql @statement = N'

	CREATE FUNCTION [dbo].[CF_SCA_DatosAdicionales](@pId_Cliente	INT, @pId_Evento SMALLINT, @pFecha DATETIME)
	RETURNS VARCHAR(MAX)
	AS
	BEGIN
	DECLARE @Datos_Adicionales	VARCHAR(MAX)
	DECLARE @Razon_Social		VARCHAR(100)
	DECLARE @Razon_Social_Titu	VARCHAR(100)
	DECLARE @Categoria			VARCHAR(100)
	DECLARE @Id_Cliente_Ref		INT
	DECLARE @Doc_Nro			BIGINT
	DECLARE @Fecha_Nac			DATETIME
	DECLARE @Ult_Cuota_Paga		DATETIME



	SELECT 
	@Razon_Social	= ISNULL(CL.Razon_Social, ''''),
	@Categoria		= ISNULL(CT.Descripcion, ''''),
	@Id_Cliente_Ref = ISNULL(CL.Id_Cliente_Ref, 0),
	@Doc_Nro		= ISNULL(CL.Doc_Nro, 0),
	@Fecha_Nac		= ISNULL(CL.Fecha_Nac, ''19000101''),
	@Ult_Cuota_Paga = ISNULL(CL.Ult_Cuota_Paga, ''19000101'')
	FROM Clientes CL, Clientes_Tipos CT
	WHERE
	ISNULL(CL.Id_Tipo_Cli, 0) = CT.Id_Tipo_Cli
	AND Id_Cliente = @pId_Cliente

	SET @Razon_Social = REPLACE(@Razon_Social, '','', '' '')

	IF(@Id_Cliente_Ref <> 0)
	BEGIN
		SET @Razon_Social_Titu	= (SELECT ISNULL(Razon_Social, '''') FROM Clientes WHERE Id_Cliente = @pId_Cliente)
		SET @Razon_Social_Titu = REPLACE(@Razon_Social_Titu, '','', '' '')
	END


	SET @Datos_Adicionales = ''Categoria  : ''	+ LTRIM(RTRIM(@Categoria)) + ''$'' +
							 ''Nro. Doc.  : ''	+ LTRIM(RTRIM(CONVERT(VARCHAR(20), @Doc_Nro))) + ''$'' +
							 ''Fecha Nac.: ''	+ LTRIM(RTRIM(CONVERT(VARCHAR(10), @Fecha_Nac, 101))) + '' ('' + LTRIM(RTRIM(CONVERT(VARCHAR(3), dbo.CF_Edad_Persona_A_UnaFecha(@Fecha_Nac, @pFecha)))) + '' años)'' + ''$'' +
							 ''U.C.P.: ''		+ LTRIM(RTRIM(CONVERT(VARCHAR(10), @Ult_Cuota_Paga, 103))) + ''$''

	IF(@Id_Cliente_Ref <> 0)
	BEGIN
		SET @Datos_Adicionales = @Datos_Adicionales + ''Titular: '' + LTRIM(RTRIM(@Razon_Social_Titu))  + ''$''
	END

	RETURN ISNULL(@Datos_Adicionales, '''')

	END'




END
GO
